Skip to content

Check if a user has a session login in the application

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Check whether a user has a session login status in the application

Method name

ManagementClient.checkSessionStatus

Request parameters

NameTypeRequiredDefault valueDescriptionSample value
appIdstringYes-App IDapp1
userIdstringYes-The unique identifier of the user, which can be user ID, user name, email, mobile number, externalId, or ID in an external identity source. For details, see the description of the userIdType field. The default is user id.6229ffaxxxxxxxxcade3e3d9

Sample code

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Initialize ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If it is a private deployment customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.checkSessionStatus({
    // Replace user ID
    userId: "6229ffaxxxxxxxxcade3e3d9",
    // Replace application ID
    appId: "62188e71cxxxx3075289c580",
  });

  console.log(JSON.stringify(result, null, 2));
})();

Request response

Type: CheckSessionStatusRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a CheckSessionStatusDataDtoResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "active": true
  }
}

Data structure

CheckSessionStatusDataDto

| Name | Type | Is it required | Description | Sample value | | ------ | ------- | -------------------------------------- | ---------------------------------- | ---------------------------------- | | active | boolean | yes| Is it logged in? | true |

Agent infrastructure for identity, memory, and web action.